'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = transform;
function noopReturnValue(value) {
  return value;
}
function noop(value) {
  return value;
}

function transform(parsers) {
  parsers = parsers || {};
  var flowControl = function flowControl(value) {
    return (parsers[value] || parsers.default || noopReturnValue)(value);
  };

  flowControl.register = function register(value, parser) {
    parsers[value] = parser;
    return flowControl;
  };

  flowControl.dispose = function dispose() {
    parsers = void 0;
    flowControl = noop;
  };

  return flowControl;
}